Subject: Re: fsqrt

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 08 Jun 2013 09:25:24 +1000

On Sat, 2013-06-08 at 09:23 +1000, Benjamin Herrenschmidt wrote:
> Ok, thinking out loud... looks like we might be able to just use existing 
> math-emu for that. From what I can tell, all it needs (other than enabling
> the config option), is a call to flush_fp_to_thread(current);
> 
> While talking math-emu... we seem to have some duplication between the
> code on do_mathemu which can be compiled without CONFIG_MATH_EMULATION and
> in this case only just emulates loads/stores/fmr and the code in
> arch/powerpc/kernel/softemu8xx.c.
> 
> Is there any reason we can't just get rid of the latter ?

Or just git completely rid of that "minimal emulation" ...

Cheers,
Ben.